This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198012 - Review Request: perl-POE-Component-JobQueue
Review Request: perl-POE-Component-JobQueue
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-07 20:27 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 14:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-07 20:27:18 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-JobQueue.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-JobQueue-0.5402-0.fc5.src.rpm

Description:
POE::Component::JobQueue manages a finite pool of worker sessions as
they handle an arbitrarily large number of tasks.  It often is used as
a form of flow control, preventing an arbitrarily large number of
worker sessions from exhausting some finite resource.
Comment 1 Jason Tibbitts 2006-07-08 00:03:02 EDT
Good idea packaging the test as an example.

* source files match upstream:
   3abbef8df7527bdc4f8bf99005f3b567  POE-Component-JobQueue-0.5402.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is optional)
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* noarch package; no debuginfo.
* final provides and requires are sane:
   perl(POE::Component::JobQueue) = 0.54
   perl-POE-Component-JobQueue = 0.5402-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(POE::Session)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=3,  7 wallclock secs ( 0.06 cusr +  0.03 csys =  0.09 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-07-08 14:53:19 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.